Loading...
Searching...
No Matches
pngdriver/color.c
Go to the documentation of this file.
/*!
\file lib/pngdriver/color.c
\brief GRASS png display driver - PNG_color_rgb
(C) 2003-2014 by Per Henrik Johansen and the GRASS Development Team
This program is free software under the GNU General Public License
(>=v2). Read the file COPYING that comes with GRASS for details.
\author Per Henrik Johansen (original contributor)
\author Glynn Clements
*/
#include <grass/gis.h>
#include "pngdriver.h"
/*!
\brief Identify a color
Identify a color that has been set in the reset_color() (found in Reset_clr.c
file in this directory). Subsequent graphics calls will use this color.
Called by:
Color() in ../lib/Color.c
\param r red color value
\param g green color value
\param b blue color value
*/
void PNG_color_rgb(int r, int g, int b)
{
png.current_color = png_get_color(r, g, b, 0);
}
png_get_color
unsigned int png_get_color(int r, int g, int b, int a)
Definition color_table.c:118
b
double b
Definition driver/set_window.c:5
r
double r
Definition driver/set_window.c:5
g
float g
Definition named_colr.c:7
PNG_color_rgb
void PNG_color_rgb(int r, int g, int b)
Identify a color.
Definition pngdriver/color.c:31
png
struct png_state png
Definition pngdriver/graph_set.c:32
pngdriver.h
GRASS png display driver - header file.